<?php 
error_reporting(0); 
ob_start(); 

if(strstr($_SERVER['SERVER_NAME'],"www")) { 
	$domain_name = substr($_SERVER['SERVER_NAME'],4); 
	Header("Location: http://$domain_name".$_SERVER['REQUEST_URI']); 
}

define("inc", "inc/"); 
define("images", "images/");
define("css", "css/"); 
define("js", "js/"); 

$permission = (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') ? '644' : substr(sprintf('%o', fileperms('install.php')), -3);
$dataNotSet = !isset($_POST['db_name']) || empty($_POST['db_name']) || !isset($_POST['db_host']) || empty($_POST['db_host']) || !isset($_POST['db_login']) || empty($_POST['db_login']) || !isset($_POST['db_password']) || empty($_POST['db_password']) || !isset($_POST['db_table_prefix']) || empty($_POST['db_table_prefix']);
$submitted = (int)$_POST['submitted'];

$allOK = true;
$error = '';
if($permission != "644") {
	$error = "<strong>Please make sure the access permissions for this file is set to 644</strong>. <br/>Currently the permissions are set to $permission.";
    $allOK = false;
}

if($submitted && $dataNotSet) {
	$error = "<strong>Please fill out all the fields.";
    $allOK = false;
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>Motivatorr Install</title>        
        <link type="text/css" rel="stylesheet" href="<?php echo css;?>main.css">
    </head>

    <body>
        <div class="main">
            <div id="content">
                <h1 align='center'>Motivatorr Install</h1>
                <div class="recommend" align="center">
                    <?php 
                    if(!$allOK) {?>
                    	<p><span class='red'>ERROR</span><br/><br/><strong><?php echo $error;?> <a href="install.php">Back&gt;&gt;</a></p>
                    <?php } else {
                        if($dataNotSet) { ?>
                            <h2 align='center'>Configure Database Settings</h2>
                            <form action='install.php' method='post' class='options'>
                            	<input type="hidden" name="submitted" value="1" />
                                <table border='0' cellspacing='3' cellpadding='0' class='options'>
                                    <tr class='dark'>
                                        <td><label>Database Name*:</label><br />
                                        <span class='example'>Please make sure it already exists</span></td>
                                        <td><input type='text' name='db_name'><br/><span class='example'>E.g. motivator</span></td>
                                    </tr>
                                    <tr>
                                        <td><label>Database Hostname*:</label></td>
                                        <td><input type='text' name='db_host' value="localhost"><br/><span class='example'>Usually localhost</span></td>
                                    </tr>
                                    <tr class='dark'>
                                        <td><label>Database Username*:</label></td>
                                        <td><input type='text' name='db_login'><br/><span class='example'>E.g. root</span></td>
                                    </tr>
                                    <tr>
                                        <td><label>Database Password*:</label></td>
                                        <td><input type='password' name='db_password'><br/><span class='example'>E.g. 12345</span></td>
                                    </tr>
                                    <tr class='dark'>
                                        <td><label>Database Tables prefix*:</label></td>
                                        <td><input type='text' name='db_table_prefix' value="mtv_"><br/><span class='example'>E.g. mtv_</span></td>
                                    </tr>
                                    <tr><td colspan="2"><input type="submit" value="Continue" style="position: relative; left:160px;"></td></tr>
                                </table>                        
                            </form>
                        <?php } else {
                            $db_name=$_POST['db_name']; 
                            $db_host=$_POST['db_host']; 
                            $db_login=$_POST['db_login']; 
                            $db_password=$_POST['db_password']; 
                            $db_table_prefix=$_POST['db_table_prefix']; 
                            $db_connect=mysql_connect($db_host, $db_login, $db_password); 
							mysql_query("SET NAMES utf8"); 
                            if(mysql_select_db($db_name, $db_connect) == false) echo "<p><span class='red'>ERROR</span><br/><br/>Cannot connect to the database.<br/>Please check your settings.<br/><br/><a href='javascript:history.back();' title='Back'>Back</a></p>";
                            else { 
                            $content_file='<?php
$db_name="'.$_POST['db_name'].'"; 
$db_host="'.$_POST['db_host'].'";
$db_login="'.$_POST['db_login'].'"; 
$db_password="'.$_POST['db_password'].'"; 
$db_table_prefix="'.$_POST['db_table_prefix'].'"; 
$db_connect=mysql_connect($db_host, $db_login, $db_password); 
mysql_select_db($db_name, $db_connect) or die("Unable to connect to the DB"); 
mysql_query("SET NAMES utf8");
?>';
                                $f = fopen("inc/db.php", "w+"); 
                                fwrite($f, $content_file); 
                                fclose($f); 
                                $f = fopen("admin/inc/db.php", "w+"); 
                                fwrite($f, $content_file); 
                                fclose($f);
                                
                                $query[0] = mysql_query("CREATE TABLE IF NOT EXISTS `".$db_table_prefix."friends` (
`id` int(9) NOT NULL AUTO_INCREMENT,
  `id_user` int(6) NOT NULL,
  `id_campaign` INT(3) NOT NULL,
  `name` varchar(100) NOT NULL,
  `email` varchar(255) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;");
                                
                                $query[1] = mysql_query("CREATE TABLE IF NOT EXISTS `".$db_table_prefix."ip` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `id_user` int(6) NOT NULL,
  `id_campaign` INT(3) NOT NULL,
  `ip` varchar(15) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',  
  `partner_system` varchar(30) NOT NULL, 
  `partner_id` varchar(100) NOT NULL,
  `referer` varchar(255) NOT NULL,
  PRIMARY KEY (`id`) 
) ENGINE=InnoDB DEFAULT CHARSET=utf8;");
                                
                                 $query[2] = mysql_query("CREATE TABLE IF NOT EXISTS `".$db_table_prefix."settings` (
  `k` varchar(255) NOT NULL,
  `v` text NOT NULL,
  `position` smallint(3) NOT NULL,
  `id_campaign` INT(3) NOT NULL,
  PRIMARY KEY  (`k`,`id_campaign`) 
) ENGINE=InnoDB DEFAULT CHARSET=utf8;");
                                 
                                 $page_self_name = $_SERVER['PHP_SELF']; 
                                 $page_self_name = substr($page_self_name, 0, strrpos($page_self_name, "/")+1); 
                                 $page_self_name = "http://".$_SERVER['HTTP_HOST'].$page_self_name;
                                 
								 $timer_mounths = date("m")+1;
								 
								 $password_admin = substr(md5($page_self_name.date("H:i:s")),3,8);
								 $login_admin = 'admin';
								 $test_user = 'test'; //ID of the test account
								 
								 $q = "INSERT INTO `".$db_table_prefix."settings` (`k`, `v`, `position`, `id_campaign`) VALUES
('base_path', '$page_self_name', 0, 0),
('login_admin', '$login_admin', 1, 0),
('password_admin', '$password_admin', 2, 0),
('email_admin', '', 3, 0),
('time_zone', '0', 4, 0),
('name_var', '%NAME%', 5, 0),
('friendsname_var', '%RECEPIENT_NAME%', 6, 0),
('targetlink_var', '%TARGET_LINK%', 7, 0),
('personallink_var', '%PERSONALPAGE_LINK%', 8, 0),
('input_friend_name', 'Your friend\\'s name', 9, 0),
('input_friend_email', 'Your friend\\'s email address', 10, 0),
('page_users_amount', '50', 11, 0),
('copyright', '&copy; ".date("Y")." Motivatorr.com', 12, 0),
('test_user', '$test_user', 13, 0),
('type', 'promo', 1, 1),
('campaign_name', 'Test Campaign', 2, 1),
('campaign_description', '', 3, 1),
('link_subscribe', '', 4, 1),
('link_thanks', '', 5, 1),
('message_present_lock', '', 6, 1),
('message_present', '', 7, 1),
('subscribers_lock_amount', '3', 8, 1),
('input_subject', '%RECEPIENT_NAME%, I have something for you to check out!', 9, 1),
('input_message', '<p>Hi, %RECEPIENT_NAME%.</p>\r\n<p>This is %NAME% and I\'ve got something for you: %LINK%</p>\r\n<p>This is just crazy! I would not have imagined before that making that much money online is possible!<br /><br /> Seriously, if these types of people can bank that kind of money starting from nothing (and not even having an interest in making money online...) then isn\'t it time you had a little rethink about your own game plan? <br /><br />I\'m not sure about you, but this changes everything for me, and I\'m on it, even if you\'re not!</p>\r\n<p>To immediately get access, enter your name and email address on the page.\r\n<br /><br /><p>Also, in case you want to participate in a great contest, here\'s the link:\r\n<br />%PERSONALPAGE_LINK%\r\n<br />Good luck!</p>', 10, 1),
('input_start_amount', '10', 11, 1),
('input_stable_amount', '1', 12, 1),
('input_finish_amount', '50', 13, 1),
('message_postsend', '', 16, 1),
('timer_view', '1', 17, 1),
('timer_mounths', '$timer_mounths', 18, 1),
('timer_days', '25', 19, 1),
('timer_hours', '23', 20, 1),
('timer_minutes', '55', 21, 1),
('timer_attached', '0', 22, 1),
('timer_attached_days', '30', 23, 1),
('type_contest', 'leads', 24, 1),
('top_users_amount', '5', 25, 1),
('social_buttons_view', '1', 26, 1),
('form_recommend_view', '1', 27, 1)";								 
                                 $query[3] = mysql_query($q);
                                                                  
                                 $q = "CREATE TABLE IF NOT EXISTS `".$db_table_prefix."users` (
  `id` int(6) NOT NULL AUTO_INCREMENT,
  `id_subscriber` varchar(100) NOT NULL,
  `id_campaign` INT(3) NOT NULL,
  `name` varchar(100) NOT NULL,
  `email` varchar(255) NOT NULL,
  `involved` int(4) NOT NULL DEFAULT '0',
  `timer` int(10) NOT NULL,
  PRIMARY KEY (`id`) 
) ENGINE=InnoDB DEFAULT CHARSET=utf8;";
                                 $query[4] = mysql_query($q);
                                                                  
                                 $q = "INSERT INTO `".$db_table_prefix."users` (`id_subscriber`, `id_campaign`, `name`, `email`, `timer`) VALUES ('$test_user', 1, 'Test User', 'test@test.com', 1);";
                                 $query[5] = mysql_query($q);
                                 //echo "q5= <pre>".$q."</pre><hr />";exit;
                                 
                                 if($query[0] && $query[1] && $query[2] && $query[3]  && $query[4] ) {
                                 	echo "<p>Great! Database is now configured! <p>Feel free to explore the backend at <a href='".$page_self_name."/admin/' title='Control Panel' target='_blank'>".$page_self_name."/admin/</a> and configure your campaings.<br/><br />Login: <strong>$login_admin</strong><br/>Password: <strong>$password_admin</strong><br /><br />Please write down your credentials and keep them in a safe place.</p>";
                                 } else {
                                 	echo "<p>Ooops! Something went wrong!";
                                 }
                            }
                        }
                    } 
                    ?>
                </div>
            </div>
        </div>
    </body>
</html>
<?php
ob_end_flush();
?>        
